Package com.tietoenator.trip.jxp.ccl

# Class TdbTreeEntry

java.lang.Object
com.tietoenator.trip.jxp.ccl.TdbTreeEntry

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbTreeEntry extends Object implements com.tietoenator.trip.jxp.internal.utils.DOMSink
Terms in a TdbTermTree are of type TdbTreeEntry. Terms in the tree are initially read from the incoming XML message and are stored using names only. Once the tree has been fully deserialized, the TdbTermTree object organizes its available TdbTreeEntry objects into a real (forest of) tree(s).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbTreeEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `childNames()`
  Retrieve the list of terms, by name, that are more specific than this term
  `List<TdbTreeEntry>`
  `children()`
  Retrieve the collection of more specific concepts of which this term is a generalization
  `String`
  `getComment()`
  Retrieve any comment, or scope note, defined for this term
  `int`
  `getLevel()`
  Obsolete
  `String`
  `getName()`
  Retrieve the name of the term
  `String`
  `getNormalizedName()`
  Retrieve a normalized form of the term, this is useful when requiring a canonical form for comparison purposes, i.e. case insensitive, punctuation neutral, etc.
  `boolean`
  `hasChildren()`
  Check if the term has narrower (more specialized) terms
  `boolean`
  `hasParents()`
  Check if the term has broader (more general) terms
  `boolean`
  `hasRelations()`
  Check if the term has non-hierarchical relationships established, typically between peers or siblings, although this is not enforced.
  `boolean`
  `hasSynonyms()`
  Check if this term has synonyms defined, i.e. terms that are not part of the tree but are usable in place of this term
  `List<String>`
  `parentNames()`
  Retrieve the list of terms, by name, that are more generic than this term
  `List<TdbTreeEntry>`
  `parents()`
  Retrieve the collection of more general concepts of which this term is a part.
  `List<String>`
  `relationNames()`
  Retrieve the collection of related terms, by name
  `List<TdbTreeEntry>`
  `relations()`
  Retrieve the collection of related terms
  `List<String>`
  `synonyms()`
  Retrieve the collection of terms, by name, defined as synonyms of this term

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbTreeEntry

    public TdbTreeEntry()

- ## Method Details

  - ### getLevel

    public int getLevel()
    Obsolete
    Returns:
      TRIP's assigned level ID -- obsolete

  - ### getName

    public String getName()
    Retrieve the name of the term
    Returns:
      The name of the term

  - ### getNormalizedName

    public String getNormalizedName()
    Retrieve a normalized form of the term, this is useful when requiring a canonical form for comparison purposes, i.e. case insensitive, punctuation neutral, etc.
    Returns:
      The normalized form of the term

  - ### hasParents

    public boolean hasParents()
    Check if the term has broader (more general) terms
    Returns:
      true if the term is part of a more general concept

  - ### parents

    public List<TdbTreeEntry> parents()
    Retrieve the collection of more general concepts of which this term is a part.
    Returns:
      The collection of parent, or more general, concepts

  - ### parentNames

    public List<String> parentNames()
    Retrieve the list of terms, by name, that are more generic than this term
    Returns:
      The list of parent, or more generic, terms

  - ### hasChildren

    public boolean hasChildren()
    Check if the term has narrower (more specialized) terms
    Returns:
      true if the term is a generalization of more specific terms

  - ### children

    public List<TdbTreeEntry> children()
    Retrieve the collection of more specific concepts of which this term is a generalization
    Returns:
      The collection of child, or more specific, concepts

  - ### childNames

    public List<String> childNames()
    Retrieve the list of terms, by name, that are more specific than this term
    Returns:
      The list of child, or more specific, terms

  - ### hasRelations

    public boolean hasRelations()
    Check if the term has non-hierarchical relationships established, typically between peers or siblings, although this is not enforced.
    Returns:
      true if the term has relationships defined

  - ### relations

    public List<TdbTreeEntry> relations()
    Retrieve the collection of related terms
    Returns:
      The collection of related terms

  - ### relationNames

    public List<String> relationNames()
    Retrieve the collection of related terms, by name
    Returns:
      The collection of related terms, by name

  - ### hasSynonyms

    public boolean hasSynonyms()
    Check if this term has synonyms defined, i.e. terms that are not part of the tree but are usable in place of this term
    Returns:
      true if the term has synonyms defined

  - ### synonyms

    public List<String> synonyms()
    Retrieve the collection of terms, by name, defined as synonyms of this term
    Returns:
      The collection of synonyms

  - ### getComment

    public String getComment()
    Retrieve any comment, or scope note, defined for this term
    Returns:
      The comment (if any)